All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.servlet.tbeans
Class BaseListEditor

    com.sas.servlet.tbeans.BaseListEditor

All Implemented Interfaces:
  HttpActionProviderInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, BaseListEditorKeysInterface, ComplexStyleInterface, CompositeComponentInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

Direct Known Subclasses:
  ListEditor

    @SASScope(value="ALL")
    @SubjectToChange
    public abstract class BaseListEditor

implements BaseListEditorKeysInterface

The BaseListEditor class provides the base class for a generic "list editor" component. A list editor consists of a list of items and list management buttons. List management takes the form of "Add", "Update", "Delete", and "Delete All". The Add button should add an item to the list. Update should modify an existing item (likely the selected item). Delete should delete the selected item (or items if the list allows multiple selection). Finally, Delete All should eliminate all items in the list.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `postAddTrigger` Trigger used to run user supplied javascript function after performing default behavior.
`protected java.lang.String` | `postDeleteAllTrigger` Trigger used to run user supplied javascript function after performing default behavior.
`protected java.lang.String` | `postDeleteTrigger` Trigger used to run user supplied javascript function after performing default behavior.
`protected java.lang.String` | `postSelectTrigger` Trigger used to run user supplied javascript function after performing default behavior.
`protected java.lang.String` | `postUpdateTrigger` Trigger used to run user supplied javascript function after performing default behavior.
`protected java.lang.String` | `preAddTrigger` Trigger used to run user supplied javascript function prior to performing default behavior.
`protected java.lang.String` | `preDeleteAllTrigger` Trigger used to run user supplied javascript function prior to performing default behavior.
`protected java.lang.String` | `preDeleteTrigger` Trigger used to run user supplied javascript function prior to performing default behavior.
`protected java.lang.String` | `preSelectTrigger` Trigger used to run user supplied javascript function prior to performing default behavior.
`protected java.lang.String` | `preUpdateTrigger` Trigger used to run user supplied javascript function prior to performing default behavior.

Fields inherited from interface com.sas.servlet.tbeans.BaseListEditorKeysInterface
`LISTEDITOR_ADD_BUTTON, LISTEDITOR_BODY, LISTEDITOR_DELETE_BUTTON, LISTEDITOR_DELETEALL_BUTTON, LISTEDITOR_LIST, LISTEDITOR_UPDATE_BUTTON`

Constructor Summary
`BaseListEditor()` Creates a new instance and with a default name.
`BaseListEditor(java.lang.String name)` Creates a new instance and with the given name.

Method Summary
`BaseButton` | `getAddButton()` Gets the transformation used to supply the "Add" action for the component.
`abstract BaseButton` | `getDefaultAddButton()` Gets the default "Add" button transformation object.
`abstract BaseButton` | `getDefaultDeleteAllButton()` Gets the default "Delete All" button transformation object.
`abstract BaseButton` | `getDefaultDeleteButton()` Gets the default "Delete" button transformation object.
`abstract BaseListBox` | `getDefaultListComponent()` Gets the default list transformation object.
`abstract BaseButton` | `getDefaultUpdateButton()` Gets the default "Update" button transformation object.
`BaseButton` | `getDeleteAllButton()` Gets the transformation used to supply the "Delete All" action for the component.
`BaseButton` | `getDeleteButton()` Gets the transformation used to supply the "Delete" action for the component.
`BaseListBox` | `getListComponent()` Gets the transformation used to represent the items in the list model.
`javax.swing.ListModel` | `getModel()` A convenience method to get the data model from the list component.
`java.lang.String` | `getPostAddTrigger()` A method used to get the user supplied javascript function to run after performing default add behavior.
`java.lang.String` | `getPostDeleteAllTrigger()` A method used to get the user supplied javascript function to run after performing default delete all behavior.
`java.lang.String` | `getPostDeleteTrigger()` A method used to get the user supplied javascript function to run after performing default delete behavior.
`java.lang.String` | `getPostSelectTrigger()` A method used to get the user supplied javascript function to run after performing default select behavior.
`java.lang.String` | `getPostUpdateTrigger()` A method used to get the user supplied javascript function to run after performing default update behavior.
`java.lang.String` | `getPreAddTrigger()` A method used to get the user supplied javascript function to run prior to performing default add behavior.
`java.lang.String` | `getPreDeleteAllTrigger()` A method used to get the user supplied javascript function to run prior to performing default delete all behavior.
`java.lang.String` | `getPreDeleteTrigger()` A method used to get the user supplied javascript function to run prior to performing default delete behavior.
`java.lang.String` | `getPreSelectTrigger()` A method used to get the user supplied javascript function to run prior to performing default select behavior.
`java.lang.String` | `getPreUpdateTrigger()` A method used to get the user supplied javascript function to run prior to performing default update behavior.
`BaseButton` | `getUpdateButton()` Gets the transformation used to supply the "Update" action for the component.
`boolean` | `isAddButtonVisible()` A convenience method to get the visibility of the "Add" button.
`boolean` | `isDeleteAllButtonVisible()` A convenience method to get the visibility of the "Delete All" button.
`boolean` | `isDeleteButtonVisible()` A convenience method to get the visibility of the "Delete" button.
`boolean` | `isUpdateButtonVisible()` A convenience method to get the visibility of the "Update" button.
`void` | `setAddButtonVisible(boolean visible)` A convenience method to set the visibility of the "Add" button.
`void` | `setDeleteAllButtonVisible(boolean visible)` A convenience method to set the visibility of the "Delete All" button.
`void` | `setDeleteButtonVisible(boolean visible)` A convenience method to set the visibility of the "Delete" button.
`void` | `setDynamicButtonArea(int area)` Convenienct method to set the Dynamic Button Area property on all the buttons in this component at once.
`void` | `setModel(javax.swing.ListModel model)` A convenience method to set the data model on the list component.
`void` | `setPostAddTrigger(java.lang.String triggerText)` A method used to set a user supplied javascript function to run after performing default add behavior.
`void` | `setPostDeleteAllTrigger(java.lang.String triggerText)` A method used to set a user supplied javascript function to run after performing default delete all behavior.
`void` | `setPostDeleteTrigger(java.lang.String triggerText)` A method used to set a user supplied javascript function to run after performing default delete behavior.
`void` | `setPostSelectTrigger(java.lang.String triggerText)` A method used to set a user supplied javascript function to run after performing default select behavior.
`void` | `setPostUpdateTrigger(java.lang.String triggerText)` A method used to set a user supplied javascript function to run after performing default update behavior.
`void` | `setPreAddTrigger(java.lang.String triggerText)` A method used to set a user supplied javascript function to run prior to performing default add behavior.
`void` | `setPreDeleteAllTrigger(java.lang.String triggerText)` A method used to set a user supplied javascript function to run prior to performing default delete all behavior.
`void` | `setPreDeleteTrigger(java.lang.String triggerText)` A method used to set a user supplied javascript function to run prior to performing default delete behavior.
`void` | `setPreSelectTrigger(java.lang.String triggerText)` A method used to set a user supplied javascript function to run prior to performing default select behavior.
`void` | `setPreUpdateTrigger(java.lang.String triggerText)` A method used to set a user supplied javascript function to run prior to performing default update behavior.
`void` | `setUpdateButtonVisible(boolean visible)` A convenience method to set the visibility of the "Update" button.

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`applyTemplate, applyTemplate, getActionProvider, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setActionProvider, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation, write, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getRequest`

Field Detail

### preAddTrigger

    protected java.lang.String preAddTrigger

  Trigger used to run user supplied javascript function prior to performing default behavior. A return code of false can be returned to stop default behavior from running.

### postAddTrigger

    protected java.lang.String postAddTrigger

  Trigger used to run user supplied javascript function after performing default behavior.

### preUpdateTrigger

    protected java.lang.String preUpdateTrigger

  Trigger used to run user supplied javascript function prior to performing default behavior. A return code of false can be returned to stop default behavior from running.

### postUpdateTrigger

    protected java.lang.String postUpdateTrigger

  Trigger used to run user supplied javascript function after performing default behavior.

### preDeleteTrigger

    protected java.lang.String preDeleteTrigger

  Trigger used to run user supplied javascript function prior to performing default behavior. A return code of false can be returned to stop default behavior from running.

### postDeleteTrigger

    protected java.lang.String postDeleteTrigger

  Trigger used to run user supplied javascript function after performing default behavior.

### preDeleteAllTrigger

    protected java.lang.String preDeleteAllTrigger

  Trigger used to run user supplied javascript function prior to performing default behavior. A return code of false can be returned to stop default behavior from running.

### postDeleteAllTrigger

    protected java.lang.String postDeleteAllTrigger

  Trigger used to run user supplied javascript function after performing default behavior.

### preSelectTrigger

    protected java.lang.String preSelectTrigger

  Trigger used to run user supplied javascript function prior to performing default behavior. A return code of false can be returned to stop default behavior from running.

### postSelectTrigger

    protected java.lang.String postSelectTrigger

  Trigger used to run user supplied javascript function after performing default behavior.

Constructor Detail

### BaseListEditor

    public BaseListEditor()

  Creates a new instance and with a default name. The primary sub-components are added to the component map with the keys defined in the BaseListEditorKeysInterface interface.

  See Also:
    `BaseListEditorKeysInterface`

### BaseListEditor

    public BaseListEditor(java.lang.String name)

  Creates a new instance and with the given name. If the given name is null, a default name is assigned. The primary sub-components are added to the component map with the keys defined in the BaseListEditorKeysInterface interface.

  Parameters:
    `name` - the name to assign this instance
  See Also:
    `BaseListEditorKeysInterface`

Method Detail

### getListComponent

    public BaseListBox getListComponent()

  Gets the transformation used to represent the items in the list model. If none has been supplied, the default list component is returned.

  Returns:
    the list component

### getAddButton

    public BaseButton getAddButton()

  Gets the transformation used to supply the "Add" action for the component. If none has been supplied, the default button is returned.

  Returns:
    the "Add" button

### getUpdateButton

    public BaseButton getUpdateButton()

  Gets the transformation used to supply the "Update" action for the component. If none has been supplied, the default button is returned.

  Returns:
    the "Update" button

### getDeleteButton

    public BaseButton getDeleteButton()

  Gets the transformation used to supply the "Delete" action for the component. If none has been supplied, the default button is returned.

  Returns:
    the "Delete" button

### getDeleteAllButton

    public BaseButton getDeleteAllButton()

  Gets the transformation used to supply the "Delete All" action for the component. If none has been supplied, the default button is returned.

  Returns:
    the "Delete All" button

### setDynamicButtonArea

    public void setDynamicButtonArea(int area)

  Convenienct method to set the Dynamic Button Area property on all the buttons in this component at once.

  Parameters:
    `area` - the dynamic button area property

### getDefaultListComponent

    public abstract BaseListBox getDefaultListComponent()

  Gets the default list transformation object.

  Returns:
    the default list component

### getDefaultAddButton

    public abstract BaseButton getDefaultAddButton()

  Gets the default "Add" button transformation object.

  Returns:
    the default "Add" button

### getDefaultUpdateButton

    public abstract BaseButton getDefaultUpdateButton()

  Gets the default "Update" button transformation object.

  Returns:
    the default "Update" button

### getDefaultDeleteButton

    public abstract BaseButton getDefaultDeleteButton()

  Gets the default "Delete" button transformation object.

  Returns:
    the default "Delete" button

### getDefaultDeleteAllButton

    public abstract BaseButton getDefaultDeleteAllButton()

  Gets the default "Delete All" button transformation object.

  Returns:
    the default "Delete All" button

### setAddButtonVisible

    public void setAddButtonVisible(boolean visible)

  A convenience method to set the visibility of the "Add" button.

  Parameters:
    `visible` - true if the button should be rendered, false otherwise

### setUpdateButtonVisible

    public void setUpdateButtonVisible(boolean visible)

  A convenience method to set the visibility of the "Update" button.

  Parameters:
    `visible` - true if the button should be rendered, false otherwise

### setDeleteButtonVisible

    public void setDeleteButtonVisible(boolean visible)

  A convenience method to set the visibility of the "Delete" button.

  Parameters:
    `visible` - true if the button should be rendered, false otherwise

### setDeleteAllButtonVisible

    public void setDeleteAllButtonVisible(boolean visible)

  A convenience method to set the visibility of the "Delete All" button.

  Parameters:
    `visible` - true if the button should be rendered, false otherwise

### isAddButtonVisible

    public boolean isAddButtonVisible()

  A convenience method to get the visibility of the "Add" button.

  Returns:
    true if the button will be rendered, false otherwise

### isUpdateButtonVisible

    public boolean isUpdateButtonVisible()

  A convenience method to get the visibility of the "Update" button.

  Returns:
    true if the button will be rendered, false otherwise

### isDeleteButtonVisible

    public boolean isDeleteButtonVisible()

  A convenience method to get the visibility of the "Delete" button.

  Returns:
    true if the button will be rendered, false otherwise

### isDeleteAllButtonVisible

    public boolean isDeleteAllButtonVisible()

  A convenience method to get the visibility of the "Delete All" button.

  Returns:
    true if the button will be rendered, false otherwise

### getModel

    public javax.swing.ListModel getModel()

  A convenience method to get the data model from the list component.

  Returns:
    the data model from the list component

### setModel

    public void setModel(javax.swing.ListModel model)

  A convenience method to set the data model on the list component.

  Parameters:
    `model` - the data model for the list component

### setPreAddTrigger

    public void setPreAddTrigger(java.lang.String triggerText)

  A method used to set a user supplied javascript function to run prior to performing default add behavior. A return code of false can be returned to stop default behavior from running.

  Parameters:
    `triggerText` - the javascript function to perform prior to performing default behavior

### setPreUpdateTrigger

    public void setPreUpdateTrigger(java.lang.String triggerText)

  A method used to set a user supplied javascript function to run prior to performing default update behavior. A return code of false can be returned to stop default behavior from running.

  Parameters:
    `triggerText` - the javascript function to perform prior to performing default behavior

### setPreDeleteTrigger

    public void setPreDeleteTrigger(java.lang.String triggerText)

  A method used to set a user supplied javascript function to run prior to performing default delete behavior. A return code false can be returned to stop default behavior from running.

  Parameters:
    `triggerText` - the javascript function to perform prior to performing default behavior

### setPreDeleteAllTrigger

    public void setPreDeleteAllTrigger(java.lang.String triggerText)

  A method used to set a user supplied javascript function to run prior to performing default delete all behavior. A return code false can be returned to stop default behavior from running.

  Parameters:
    `triggerText` - the javascript function to perform prior to performing default behavior

### setPreSelectTrigger

    public void setPreSelectTrigger(java.lang.String triggerText)

  A method used to set a user supplied javascript function to run prior to performing default select behavior. A return code of false can be returned to stop default behavior from running.

  Parameters:
    `triggerText` - the javascript function to perform prior to performing default behavior

### setPostAddTrigger

    public void setPostAddTrigger(java.lang.String triggerText)

  A method used to set a user supplied javascript function to run after performing default add behavior.

  Parameters:
    `triggerText` - the javascript function to perform after performing default behavior

### setPostUpdateTrigger

    public void setPostUpdateTrigger(java.lang.String triggerText)

  A method used to set a user supplied javascript function to run after performing default update behavior.

  Parameters:
    `triggerText` - the javascript function to perform after performing default behavior

### setPostDeleteTrigger

    public void setPostDeleteTrigger(java.lang.String triggerText)

  A method used to set a user supplied javascript function to run after performing default delete behavior.

  Parameters:
    `triggerText` - the javascript function to perform after performing default behavior

### setPostDeleteAllTrigger

    public void setPostDeleteAllTrigger(java.lang.String triggerText)

  A method used to set a user supplied javascript function to run after performing default delete all behavior.

  Parameters:
    `triggerText` - the javascript function to perform after performing default behavior

### setPostSelectTrigger

    public void setPostSelectTrigger(java.lang.String triggerText)

  A method used to set a user supplied javascript function to run after performing default select behavior.

  Parameters:
    `triggerText` - the javascript function to perform after performing default behavior

### getPreAddTrigger

    public java.lang.String getPreAddTrigger()

  A method used to get the user supplied javascript function to run prior to performing default add behavior.

  Returns:
    preAddTrigger the javascript function to perform prior to performing default behavior

### getPreUpdateTrigger

    public java.lang.String getPreUpdateTrigger()

  A method used to get the user supplied javascript function to run prior to performing default update behavior.

  Returns:
    preUpdateTrigger the javascript function to perform prior to performing default behavior

### getPreDeleteTrigger

    public java.lang.String getPreDeleteTrigger()

  A method used to get the user supplied javascript function to run prior to performing default delete behavior.

  Returns:
    preDeleteTrigger the javascript function to perform prior to performing default behavior

### getPreDeleteAllTrigger

    public java.lang.String getPreDeleteAllTrigger()

  A method used to get the user supplied javascript function to run prior to performing default delete all behavior.

  Returns:
    preDeleteTrigger the javascript function to perform prior to performing default behavior

### getPreSelectTrigger

    public java.lang.String getPreSelectTrigger()

  A method used to get the user supplied javascript function to run prior to performing default select behavior.

  Returns:
    preSelectTrigger the javascript function to perform prior to performing default behavior

### getPostAddTrigger

    public java.lang.String getPostAddTrigger()

  A method used to get the user supplied javascript function to run after performing default add behavior.

  Returns:
    postAddTrigger the javascript function to perform after performing default behavior

### getPostUpdateTrigger

    public java.lang.String getPostUpdateTrigger()

  A method used to get the user supplied javascript function to run after performing default update behavior.

  Returns:
    postUpdateTrigger the javascript function to perform after performing default behavior

### getPostDeleteTrigger

    public java.lang.String getPostDeleteTrigger()

  A method used to get the user supplied javascript function to run after performing default delete behavior.

  Returns:
    postDeleteTrigger the javascript function to perform after performing default behavior

### getPostDeleteAllTrigger

    public java.lang.String getPostDeleteAllTrigger()

  A method used to get the user supplied javascript function to run after performing default delete all behavior.

  Returns:
    postDeleteTrigger the javascript function to perform after performing default behavior

### getPostSelectTrigger

    public java.lang.String getPostSelectTrigger()

  A method used to get the user supplied javascript function to run after performing default select behavior.

  Returns:
    postSelectTrigger the javascript function to perform after performing default behavior

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.